library verilog;
use verilog.vl_types.all;
entity P2S_Shift_Register_Shift_Register is
    port(
        N_8             : out    vl_logic_vector(22 downto 0);
        N_2             : in     vl_logic_vector(23 downto 0);
        Ser_Dat_out     : out    vl_logic_vector(0 downto 0);
        P2S_N_bitclk_falling_1_300: in     vl_logic_vector(0 downto 0);
        GlobalReset     : in     vl_logic;
        clk             : in     vl_logic;
        GlobalEnable1   : in     vl_logic
    );
end P2S_Shift_Register_Shift_Register;
